diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-address-generator.cc ns-3.44/src/internet/model/ipv6-address-generator.cc
--- ns-3.43/src/internet/model/ipv6-address-generator.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-address-generator.cc	2025-03-09 16:55:49.399371100 -0700
@@ -20,9 +20,9 @@
 NS_LOG_COMPONENT_DEFINE("Ipv6AddressGenerator");
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief Implementation class of Ipv6AddressGenerator
+ * @brief Implementation class of Ipv6AddressGenerator
  * This generator assigns addresses sequentially from a provided
  * network address; used in topology code. It also keeps track of all
  * addresses assigned to perform duplicate detection.
@@ -35,19 +35,19 @@
     virtual ~Ipv6AddressGeneratorImpl();
 
     /**
-     * \brief Initialise the base network and interfaceId for the generator
+     * @brief Initialise the base network and interfaceId for the generator
      *
      * The first call to NextAddress() or GetAddress() will return the
      * value passed in.
      *
-     * \param net The network for the base Ipv6Address
-     * \param prefix The prefix of the base Ipv6Address
-     * \param interfaceId The base interface ID used for initialization
+     * @param net The network for the base Ipv6Address
+     * @param prefix The prefix of the base Ipv6Address
+     * @param interfaceId The base interface ID used for initialization
      */
     void Init(const Ipv6Address net, const Ipv6Prefix prefix, const Ipv6Address interfaceId);
 
     /**
-     * \brief Get the next network according to the given Ipv6Prefix
+     * @brief Get the next network according to the given Ipv6Prefix
      *
      * This operation is a pre-increment, meaning that the internal state
      * is changed before returning the new network address.
@@ -55,88 +55,88 @@
      * This also resets the interface ID to the base interface ID that was
      * used for initialization.
      *
-     * \param prefix The Ipv6Prefix used to set the next network
-     * \returns the IPv6 address of the next network
+     * @param prefix The Ipv6Prefix used to set the next network
+     * @returns the IPv6 address of the next network
      */
     Ipv6Address NextNetwork(const Ipv6Prefix prefix);
 
     /**
-     * \brief Get the current network of the given Ipv6Prefix
+     * @brief Get the current network of the given Ipv6Prefix
      *
      * Does not change the internal state; this just peeks at the current
      * network
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address of the current network
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address of the current network
      */
     Ipv6Address GetNetwork(const Ipv6Prefix prefix) const;
 
     /**
-     * \brief Set the interfaceId for the given Ipv6Prefix
+     * @brief Set the interfaceId for the given Ipv6Prefix
      *
-     * \param interfaceId The interfaceId to set for the current Ipv6Prefix
-     * \param prefix The Ipv6Prefix whose address is to be set
+     * @param interfaceId The interfaceId to set for the current Ipv6Prefix
+     * @param prefix The Ipv6Prefix whose address is to be set
      */
     void InitAddress(const Ipv6Address interfaceId, const Ipv6Prefix prefix);
 
     /**
-     * \brief Get the Ipv6Address that will be allocated upon NextAddress ()
+     * @brief Get the Ipv6Address that will be allocated upon NextAddress ()
      *
      * Does not change the internal state; just is used to peek the next
      * address that will be allocated upon NextAddress ()
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address
      */
     Ipv6Address GetAddress(const Ipv6Prefix prefix) const;
 
     /**
-     * \brief Allocate the next Ipv6Address for the configured network and prefix
+     * @brief Allocate the next Ipv6Address for the configured network and prefix
      *
      * This operation is a post-increment, meaning that the first address
      * allocated will be the one that was initially configured.
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address
      */
     Ipv6Address NextAddress(const Ipv6Prefix prefix);
 
     /**
-     * \brief Reset the networks and Ipv6Address to zero
+     * @brief Reset the networks and Ipv6Address to zero
      */
     void Reset();
 
     /**
-     * \brief Add the Ipv6Address to the list of IPv6 entries
+     * @brief Add the Ipv6Address to the list of IPv6 entries
      *
      * Typically, this is used by external address allocators that want
      * to make use of this class's ability to track duplicates.  AddAllocated
      * is always called internally for any address generated by NextAddress ()
      *
-     * \param addr The Ipv6Address to be added to the list of Ipv6 entries
-     * \returns true on success
+     * @param addr The Ipv6Address to be added to the list of Ipv6 entries
+     * @returns true on success
      */
     bool AddAllocated(const Ipv6Address addr);
 
     /**
-     * \brief Check the Ipv6Address allocation in the list of IPv6 entries
+     * @brief Check the Ipv6Address allocation in the list of IPv6 entries
      *
-     * \param addr The Ipv6Address to be checked in the list of Ipv4 entries
-     * \returns true if the network is already allocated
+     * @param addr The Ipv6Address to be checked in the list of Ipv4 entries
+     * @returns true if the network is already allocated
      */
     bool IsAddressAllocated(const Ipv6Address addr);
 
     /**
-     * \brief Check if a network has already allocated addresses
+     * @brief Check if a network has already allocated addresses
      *
-     * \param addr The Ipv6 network to be checked
-     * \param prefix The Ipv6 network prefix
-     * \returns true if the network is already allocated
+     * @param addr The Ipv6 network to be checked
+     * @param prefix The Ipv6 network prefix
+     * @returns true if the network is already allocated
      */
     bool IsNetworkAllocated(const Ipv6Address addr, const Ipv6Prefix prefix);
 
     /**
-     * \brief Used to turn off fatal errors and assertions, for testing
+     * @brief Used to turn off fatal errors and assertions, for testing
      */
     void TestMode();
 
@@ -145,14 +145,14 @@
     static const uint32_t MOST_SIGNIFICANT_BIT = 0x80; //!< MSB set to 1
 
     /**
-     * \brief Create an index number for the prefix
-     * \param prefix the prefix to index
-     * \returns an index
+     * @brief Create an index number for the prefix
+     * @param prefix the prefix to index
+     * @returns an index
      */
     uint32_t PrefixToIndex(Ipv6Prefix prefix) const;
 
     /**
-     * \brief This class holds the state for a given network
+     * @brief This class holds the state for a given network
      */
     class NetworkState
     {
@@ -167,7 +167,7 @@
     NetworkState m_netTable[N_BITS]; //!< the available networks
 
     /**
-     * \brief This class holds the allocated addresses
+     * @brief This class holds the allocated addresses
      */
     class Entry
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-address-generator.h ns-3.44/src/internet/model/ipv6-address-generator.h
--- ns-3.43/src/internet/model/ipv6-address-generator.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-address-generator.h	2025-03-09 16:55:49.399371100 -0700
@@ -14,10 +14,10 @@
 {
 
 /**
- * \ingroup address
- * \ingroup ipv6
+ * @ingroup address
+ * @ingroup ipv6
  *
- * \brief This generator assigns addresses sequentially from a provided
+ * @brief This generator assigns addresses sequentially from a provided
  * network address; used in topology code. It also keeps track of all
  * addresses assigned to perform duplicate detection.
  *
@@ -41,7 +41,7 @@
  * but can also be a pseudo-random value (\RFC{3041}).  This implementation
  * does not generate EUI-64-based interface IDs.
  *
- * \note BEWARE: this class acts as a Singleton.
+ * @note BEWARE: this class acts as a Singleton.
  * In other terms, two different instances of Ipv6AddressGenerator will
  * pick IPv6 numbers from the same pool. Changing the network in one of them
  * will also change the network in the other instances.
@@ -51,21 +51,21 @@
 {
   public:
     /**
-     * \brief Initialise the base network and interfaceId for the generator
+     * @brief Initialise the base network and interfaceId for the generator
      *
      * The first call to NextAddress() or GetAddress() will return the
      * value passed in.
      *
-     * \param net The network for the base Ipv6Address
-     * \param prefix The prefix of the base Ipv6Address
-     * \param interfaceId The base interface ID used for initialization
+     * @param net The network for the base Ipv6Address
+     * @param prefix The prefix of the base Ipv6Address
+     * @param interfaceId The base interface ID used for initialization
      */
     static void Init(const Ipv6Address net,
                      const Ipv6Prefix prefix,
                      const Ipv6Address interfaceId = "::1");
 
     /**
-     * \brief Get the next network according to the given Ipv6Prefix
+     * @brief Get the next network according to the given Ipv6Prefix
      *
      * This operation is a pre-increment, meaning that the internal state
      * is changed before returning the new network address.
@@ -73,88 +73,88 @@
      * This also resets the interface ID to the base interface ID that was
      * used for initialization.
      *
-     * \param prefix The Ipv6Prefix used to set the next network
-     * \returns the IPv6 address of the next network
+     * @param prefix The Ipv6Prefix used to set the next network
+     * @returns the IPv6 address of the next network
      */
     static Ipv6Address NextNetwork(const Ipv6Prefix prefix);
 
     /**
-     * \brief Get the current network of the given Ipv6Prefix
+     * @brief Get the current network of the given Ipv6Prefix
      *
      * Does not change the internal state; this just peeks at the current
      * network
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address of the current network
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address of the current network
      */
     static Ipv6Address GetNetwork(const Ipv6Prefix prefix);
 
     /**
-     * \brief Set the interfaceId for the given Ipv6Prefix
+     * @brief Set the interfaceId for the given Ipv6Prefix
      *
-     * \param interfaceId The interfaceId to set for the current Ipv6Prefix
-     * \param prefix The Ipv6Prefix whose address is to be set
+     * @param interfaceId The interfaceId to set for the current Ipv6Prefix
+     * @param prefix The Ipv6Prefix whose address is to be set
      */
     static void InitAddress(const Ipv6Address interfaceId, const Ipv6Prefix prefix);
 
     /**
-     * \brief Allocate the next Ipv6Address for the configured network and prefix
+     * @brief Allocate the next Ipv6Address for the configured network and prefix
      *
      * This operation is a post-increment, meaning that the first address
      * allocated will be the one that was initially configured.
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address
      */
     static Ipv6Address NextAddress(const Ipv6Prefix prefix);
 
     /**
-     * \brief Get the Ipv6Address that will be allocated upon NextAddress ()
+     * @brief Get the Ipv6Address that will be allocated upon NextAddress ()
      *
      * Does not change the internal state; just is used to peek the next
      * address that will be allocated upon NextAddress ()
      *
-     * \param prefix The Ipv6Prefix for the current network
-     * \returns the IPv6 address
+     * @param prefix The Ipv6Prefix for the current network
+     * @returns the IPv6 address
      */
     static Ipv6Address GetAddress(const Ipv6Prefix prefix);
 
     /**
-     * \brief Reset the networks and Ipv6Address to zero
+     * @brief Reset the networks and Ipv6Address to zero
      */
     static void Reset();
 
     /**
-     * \brief Add the Ipv6Address to the list of IPv6 entries
+     * @brief Add the Ipv6Address to the list of IPv6 entries
      *
      * Typically, this is used by external address allocators that want
      * to make use of this class's ability to track duplicates.  AddAllocated
      * is always called internally for any address generated by NextAddress ()
      *
-     * \param addr The Ipv6Address to be added to the list of Ipv6 entries
-     * \returns true on success
+     * @param addr The Ipv6Address to be added to the list of Ipv6 entries
+     * @returns true on success
      */
     static bool AddAllocated(const Ipv6Address addr);
 
     /**
-     * \brief Check the Ipv6Address allocation in the list of IPv6 entries
+     * @brief Check the Ipv6Address allocation in the list of IPv6 entries
      *
-     * \param addr The Ipv6Address to be checked in the list of Ipv4 entries
-     * \returns true if the address is already allocated
+     * @param addr The Ipv6Address to be checked in the list of Ipv4 entries
+     * @returns true if the address is already allocated
      */
     static bool IsAddressAllocated(const Ipv6Address addr);
 
     /**
-     * \brief Check if a network has already allocated addresses
+     * @brief Check if a network has already allocated addresses
      *
-     * \param addr The Ipv6 network to be checked
-     * \param prefix The Ipv6 network prefix
-     * \returns true if the network is already allocated
+     * @param addr The Ipv6 network to be checked
+     * @param prefix The Ipv6 network prefix
+     * @returns true if the network is already allocated
      */
     static bool IsNetworkAllocated(const Ipv6Address addr, const Ipv6Prefix prefix);
 
     /**
-     * \brief Used to turn off fatal errors and assertions, for testing
+     * @brief Used to turn off fatal errors and assertions, for testing
      */
     static void TestMode();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-autoconfigured-prefix.h ns-3.44/src/internet/model/ipv6-autoconfigured-prefix.h
--- ns-3.43/src/internet/model/ipv6-autoconfigured-prefix.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-autoconfigured-prefix.h	2025-03-09 16:55:49.399371100 -0700
@@ -22,22 +22,22 @@
 class Node;
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief Router prefix information.
+ * @brief Router prefix information.
  */
 class Ipv6AutoconfiguredPrefix : public Object
 {
   public:
     /**
-     * \brief Constructor.
-     * \param node node
-     * \param interface interface index
-     * \param prefix IPv6 address
-     * \param mask bitmask prefix
-     * \param preferredLifeTime the preferred life time
-     * \param validLifeTime the valid life time
-     * \param router if it the prefix that configure the default gateway
+     * @brief Constructor.
+     * @param node node
+     * @param interface interface index
+     * @param prefix IPv6 address
+     * @param mask bitmask prefix
+     * @param preferredLifeTime the preferred life time
+     * @param validLifeTime the valid life time
+     * @param router if it the prefix that configure the default gateway
      */
     Ipv6AutoconfiguredPrefix(Ptr<Node> node,
                              uint32_t interface,
@@ -48,183 +48,183 @@
                              Ipv6Address router = Ipv6Address("::"));
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6AutoconfiguredPrefix() override;
 
     /**
-     * \brief Set the default gateway router.
-     * \param router IPv6 link-local address of the default router
+     * @brief Set the default gateway router.
+     * @param router IPv6 link-local address of the default router
      */
     void SetDefaultGatewayRouter(Ipv6Address router);
 
     /**
-     * \brief Get the default gateway address.
-     * \return IPv6 link-local address of the default router
+     * @brief Get the default gateway address.
+     * @return IPv6 link-local address of the default router
      */
     Ipv6Address GetDefaultGatewayRouter() const;
 
     /**
-     * \brief Get the interface index.
-     * \return interface index
+     * @brief Get the interface index.
+     * @return interface index
      */
     uint32_t GetInterface() const;
 
     /**
-     * \brief Set the interface.
-     * \param interface interface index to set
+     * @brief Set the interface.
+     * @param interface interface index to set
      */
     void SetInterface(uint32_t interface);
 
     /**
-     * \brief Get the prefix preferred life time.
-     * \return preferred life time
+     * @brief Get the prefix preferred life time.
+     * @return preferred life time
      */
     uint32_t GetPreferredLifeTime() const;
 
     /**
-     * \brief Set the prefix preferred life time.
-     * \param p the prefix preferred life time
+     * @brief Set the prefix preferred life time.
+     * @param p the prefix preferred life time
      */
     void SetPreferredLifeTime(uint32_t p);
 
     /**
-     * \brief Get the prefix valid life time.
-     * \return valid life time
+     * @brief Get the prefix valid life time.
+     * @return valid life time
      */
     uint32_t GetValidLifeTime() const;
 
     /**
-     * \brief Set the prefix valid life time.
-     * \param v the prefix valid life time
+     * @brief Set the prefix valid life time.
+     * @param v the prefix valid life time
      */
     void SetValidLifeTime(uint32_t v);
 
     /**
-     * \brief Test if the prefix is preferred.
-     * \return true if prefix is in preferred state, false otherwise
+     * @brief Test if the prefix is preferred.
+     * @return true if prefix is in preferred state, false otherwise
      */
     bool IsPreferred() const;
 
     /**
-     * \brief Test if the prefix is valid.
-     * \return true if prefix is in valid state, false otherwise
+     * @brief Test if the prefix is valid.
+     * @return true if prefix is in valid state, false otherwise
      */
     bool IsValid() const;
 
     /**
-     * \brief Set the prefix as preferred.
+     * @brief Set the prefix as preferred.
      */
     void SetPreferred();
 
     /**
-     * \brief Set the prefix as valid.
+     * @brief Set the prefix as valid.
      */
     void SetValid();
 
     /**
-     * \brief Start the preferred timer.
+     * @brief Start the preferred timer.
      */
     void StartPreferredTimer();
 
     /**
-     * \brief Start the valid timer.
+     * @brief Start the valid timer.
      */
     void StartValidTimer();
 
     /**
-     * \brief Stop the preferred timer.
+     * @brief Stop the preferred timer.
      */
     void StopPreferredTimer();
 
     /**
-     * \brief Stop the valid timer.
+     * @brief Stop the valid timer.
      */
     void StopValidTimer();
 
     /**
-     * \brief Set the prefix as preferred.
+     * @brief Set the prefix as preferred.
      */
     void MarkPreferredTime();
 
     /**
-     * \brief Set the prefix as valid.
+     * @brief Set the prefix as valid.
      */
     void MarkValidTime();
 
     /**
-     * \brief Signal that the preferred time expired and start the valid timer.
+     * @brief Signal that the preferred time expired and start the valid timer.
      */
     void FunctionPreferredTimeout();
 
     /**
-     * \brief Signal that the valid time expired.
+     * @brief Signal that the valid time expired.
      */
     void FunctionValidTimeout();
 
     /**
-     * \brief Remove this prefix from the prefix list.
+     * @brief Remove this prefix from the prefix list.
      */
     void RemoveMe();
 
     /**
-     * \brief Get the prefix identifier.
-     * \return id of the prefix.
+     * @brief Get the prefix identifier.
+     * @return id of the prefix.
      */
     uint32_t GetId() const;
 
     /**
-     * \brief Get the prefix address.
-     * \return prefix address
+     * @brief Get the prefix address.
+     * @return prefix address
      */
     Ipv6Address GetPrefix() const;
 
     /**
-     * \brief Set the prefix address.
-     * \param prefix prefix address to set
+     * @brief Set the prefix address.
+     * @param prefix prefix address to set
      */
     void SetPrefix(Ipv6Address prefix);
 
     /**
-     * \brief Get the bitmask prefix.
-     * \return bitmask prefix
+     * @brief Get the bitmask prefix.
+     * @return bitmask prefix
      */
     Ipv6Prefix GetMask() const;
 
     /**
-     * \brief Set the bitmask prefix.
-     * \param mask prefix
+     * @brief Set the bitmask prefix.
+     * @param mask prefix
      */
     void SetMask(Ipv6Prefix mask);
 
   private:
     /**
-     * \brief a static identifier.
+     * @brief a static identifier.
      */
     static uint32_t m_prefixId;
 
     /**
-     * \brief the identifier of this prefix.
+     * @brief the identifier of this prefix.
      */
     uint32_t m_id;
 
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 
     /**
-     * \brief The prefix IPv6 address.
+     * @brief The prefix IPv6 address.
      */
     Ipv6Address m_prefix;
 
     /**
-     * \brief The prefix bitmask (length).
+     * @brief The prefix bitmask (length).
      */
     Ipv6Prefix m_mask;
 
     /**
-     * \brief Default gateway router.
+     * @brief Default gateway router.
      *
      * If the RA received also configured the default gateway,
      * this variable has the link-local address. Otherwise this
@@ -233,38 +233,38 @@
     Ipv6Address m_defaultGatewayRouter;
 
     /**
-     * \brief The interface index (which is stored the address
+     * @brief The interface index (which is stored the address
      * corresponding of the prefix).
      */
     uint32_t m_interface;
 
     /**
-     * \brief the valid life time.
+     * @brief the valid life time.
      */
     uint32_t m_validLifeTime;
 
     /**
-     * \brief the preferred life time.
+     * @brief the preferred life time.
      */
     uint32_t m_preferredLifeTime;
 
     /**
-     * \brief true if the prefix is preferred.
+     * @brief true if the prefix is preferred.
      */
     bool m_preferred;
 
     /**
-     * \brief true if the prefix is valid.
+     * @brief true if the prefix is valid.
      */
     bool m_valid;
 
     /**
-     * \brief the timer for preferred life time.
+     * @brief the timer for preferred life time.
      */
     Timer m_preferredTimer;
 
     /**
-     * \brief the timer for valid life time.
+     * @brief the timer for valid life time.
      */
     Timer m_validTimer;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-end-point-demux.h ns-3.44/src/internet/model/ipv6-end-point-demux.h
--- ns-3.43/src/internet/model/ipv6-end-point-demux.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-end-point-demux.h	2025-03-09 16:55:49.399371100 -0700
@@ -22,20 +22,20 @@
 class Ipv6EndPoint;
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief Demultiplexer for end points.
+ * @brief Demultiplexer for end points.
  */
 class Ipv6EndPointDemux
 {
   public:
     /**
-     * \brief Container of the IPv6 endpoints.
+     * @brief Container of the IPv6 endpoints.
      */
     typedef std::list<Ipv6EndPoint*> EndPoints;
 
     /**
-     * \brief Iterator to the container of the IPv6 endpoints.
+     * @brief Iterator to the container of the IPv6 endpoints.
      */
     typedef std::list<Ipv6EndPoint*>::iterator EndPointsI;
 
@@ -43,23 +43,23 @@
     ~Ipv6EndPointDemux();
 
     /**
-     * \brief Lookup for port local.
-     * \param port port to test
-     * \return true if a port local is in EndPoints, false otherwise
+     * @brief Lookup for port local.
+     * @param port port to test
+     * @return true if a port local is in EndPoints, false otherwise
      */
     bool LookupPortLocal(uint16_t port);
 
     /**
-     * \brief Lookup for address and port.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param addr address to test
-     * \param port port to test
-     * \return true if there is a match in EndPoints, false otherwise
+     * @brief Lookup for address and port.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param addr address to test
+     * @param port port to test
+     * @return true if there is a match in EndPoints, false otherwise
      */
     bool LookupLocal(Ptr<NetDevice> boundNetDevice, Ipv6Address addr, uint16_t port);
 
     /**
-     * \brief lookup for a match with all the parameters.
+     * @brief lookup for a match with all the parameters.
      *
      * The function will return a list of most-matching EndPoints, in this order:
      *   -# Full match
@@ -69,12 +69,12 @@
      *
      * EndPoint with disabled Rx are skipped.
      *
-     * \param dst destination address to test
-     * \param dport destination port to test
-     * \param src source address to test
-     * \param sport source port to test
-     * \param incomingInterface the incoming interface
-     * \return list of IPv6EndPoints (could be 0 element)
+     * @param dst destination address to test
+     * @param dport destination port to test
+     * @param src source address to test
+     * @param sport source port to test
+     * @param incomingInterface the incoming interface
+     * @return list of IPv6EndPoints (could be 0 element)
      */
     EndPoints Lookup(Ipv6Address dst,
                      uint16_t dport,
@@ -83,53 +83,53 @@
                      Ptr<Ipv6Interface> incomingInterface);
 
     /**
-     * \brief Simple lookup for a four-tuple match.
-     * \param dst destination address to test
-     * \param dport destination port to test
-     * \param src source address to test
-     * \param sport source port to test
-     * \return match or 0 if not found
+     * @brief Simple lookup for a four-tuple match.
+     * @param dst destination address to test
+     * @param dport destination port to test
+     * @param src source address to test
+     * @param sport source port to test
+     * @return match or 0 if not found
      */
     Ipv6EndPoint* SimpleLookup(Ipv6Address dst, uint16_t dport, Ipv6Address src, uint16_t sport);
 
     /**
-     * \brief Allocate a Ipv6EndPoint.
-     * \return an empty Ipv6EndPoint instance
+     * @brief Allocate a Ipv6EndPoint.
+     * @return an empty Ipv6EndPoint instance
      */
     Ipv6EndPoint* Allocate();
 
     /**
-     * \brief Allocate a Ipv6EndPoint.
-     * \param address IPv6 address
-     * \return an Ipv6EndPoint instance
+     * @brief Allocate a Ipv6EndPoint.
+     * @param address IPv6 address
+     * @return an Ipv6EndPoint instance
      */
     Ipv6EndPoint* Allocate(Ipv6Address address);
 
     /**
-     * \brief Allocate a Ipv6EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port local port
-     * \return an Ipv6EndPoint instance
+     * @brief Allocate a Ipv6EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port local port
+     * @return an Ipv6EndPoint instance
      */
     Ipv6EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, uint16_t port);
 
     /**
-     * \brief Allocate a Ipv6EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address local address
-     * \param port local port
-     * \return an Ipv6EndPoint instance
+     * @brief Allocate a Ipv6EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address local address
+     * @param port local port
+     * @return an Ipv6EndPoint instance
      */
     Ipv6EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, Ipv6Address address, uint16_t port);
 
     /**
-     * \brief Allocate a Ipv6EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address
-     * \param localPort local port
-     * \param peerAddress peer address
-     * \param peerPort peer port
-     * \return an Ipv6EndPoint instance
+     * @brief Allocate a Ipv6EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address
+     * @param localPort local port
+     * @param peerAddress peer address
+     * @param peerPort peer port
+     * @return an Ipv6EndPoint instance
      */
     Ipv6EndPoint* Allocate(Ptr<NetDevice> boundNetDevice,
                            Ipv6Address localAddress,
@@ -138,41 +138,41 @@
                            uint16_t peerPort);
 
     /**
-     * \brief Remove a end point.
-     * \param endPoint the end point to remove
+     * @brief Remove a end point.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv6EndPoint* endPoint);
 
     /**
-     * \brief Get the entire list of end points registered.
-     * \return list of Ipv6EndPoint
+     * @brief Get the entire list of end points registered.
+     * @return list of Ipv6EndPoint
      */
     EndPoints GetEndPoints() const;
 
   private:
     /**
-     * \brief Allocate a ephemeral port.
-     * \return a port
+     * @brief Allocate a ephemeral port.
+     * @return a port
      */
     uint16_t AllocateEphemeralPort();
 
     /**
-     * \brief The ephemeral port.
+     * @brief The ephemeral port.
      */
     uint16_t m_ephemeral;
 
     /**
-     * \brief The first ephemeral port.
+     * @brief The first ephemeral port.
      */
     uint16_t m_portFirst;
 
     /**
-     * \brief The last ephemeral port.
+     * @brief The last ephemeral port.
      */
     uint16_t m_portLast;
 
     /**
-     * \brief A list of IPv6 end points.
+     * @brief A list of IPv6 end points.
      */
     EndPoints m_endPoints;
 };
